<DockLayout stretchLastChild="true">

    <StackLayout dock="bottom" class="auth-actions">
        <FlexboxLayout
            flexDirection="row"
            alignItems="center"
            justifyContent="space-between">
            <app-button
                type="text"
                text="Log Out"
                (tap)="logOut.emit()"
            ></app-button>
            <app-button
                width="150"
                text="Get Started"
                [isEnabled]="!hasStarted"
                (tap)="submit()"
            ></app-button>
        </FlexboxLayout>
    </StackLayout>

    <ScrollView>
        <StackLayout class="auth-form-body">

            <StackLayout class="auth-header">
                <app-heading text="Confirm Email"></app-heading>
            </StackLayout>

            <Label
                class="text-label m-b-30"
                text="We just sent an email to the address you gave us. Click the link in the message or enter the code into the box below to confirm your email and start using Passit."
                textWrap="true"
            ></Label>

            <app-non-field-messages *ngIf="confirmCodeMessage" [messages]="[confirmCodeMessage]"></app-non-field-messages>
            <StackLayout class="m-b-10">
                <Label class="text-label" text="Code"></Label>
                <TextField
                    #codeInput
                    autocapitalizationType="none"
                    autocorrect="false"
                    returnKeyType="done"
                    width="100"
                    horizontalAlignment="left"
                    [class.text-field--error]="errorMessage"
                    [(ngModel)]="code"
                    (returnPress)="submit()"
                    class="input text-field"
                ></TextField>
            </StackLayout>

            <Label
                *ngIf="errorMessage"
                [text]="errorMessage"
                textWrap="true"
            ></Label>

            <progress-indicator
                [inProgress]="hasStarted"
                inProgressText="Confirming email"
                [completed]="hasFinished"
                completedText="Confirmed email"
            ></progress-indicator>

        </StackLayout>
    </ScrollView>
</DockLayout>